# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/yc/yc-4.0.13.ebuild,v 1.4 2007/01/28 04:40:30 genone Exp $

inherit elisp

IUSE=""

DESCRIPTION="YC - Yet another Canna client on Emacsen."
HOMEPAGE="http://www.ceres.dti.ne.jp/~knak/yc.html"
SRC_URI="http://www.ceres.dti.ne.jp/~knak/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha ppc x86"

DEPEND="virtual/emacs
	>=app-i18n/canna-3.6"

SITEFILE="50yc-gentoo.el"

src_compile() {
	emake || die
}

src_install() {
	elisp-install ${PN} *.el *.elc || die
	elisp-site-file-install ${FILESDIR}/${SITEFILE} || die
	dobin icanna || die
	newdoc ${FILESDIR}/sample.dot.emacs-4 sample.dot.emacs || die
	dodoc ${FILESDIR}/sample.hosts.canna || die
}

pkg_postinst() {
	elisp-site-regen
	elog "See /usr/share/doc/${P}/sample.dot.emacs.gz."
	elog
	elog "And If you use unix domain socket for connecting the canna server, "
	elog "  please confirm that there's *no* following line in your .emacs ."
	elog "  (setq yc-server-host \"localhost\")"
	elog
	elog "If you use inet domain socket for connecting the canna server, "
	elog "  please modify as following in /etc/conf.d/canna."
	elog "  CANNASERVER_OPTS=\"-inet\""
	elog "  And create /etc/hosts.canna."
	elog "  (sample is /usr/share/doc/${P}/sample.hosts.canna.gz)"
}

pkg_postrm() {
	elisp-site-regen
}
