# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/wxsvg/wxsvg-1.0_beta7.ebuild,v 1.1 2007/01/28 20:02:38 dirtyepic Exp $

inherit eutils wxwidgets

MY_PV="${PV/_beta/b}"

DESCRIPTION="C++ library to create, manipulate and render SVG files."
HOMEPAGE="http://wxsvg.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${PN}-${MY_PV}_1.tar.gz"

LICENSE="wxWinLL-3"
KEYWORDS="~x86"
SLOT="0"
IUSE=""

DEPEND="=x11-libs/wxGTK-2.6*
	>=dev-libs/glib-2.12
	>=dev-libs/libxml2-2.6.26
	>=media-libs/fontconfig-2.4
	>=media-libs/freetype-2.1.10
	>=media-libs/libart_lgpl-2.3.17
	>=x11-libs/pango-1.14.9
	dev-util/pkgconfig"

S=${WORKDIR}/${PN}-${MY_PV}

src_compile() {
	export WX_GTK_VER="2.6"
	need-wxwidgets gtk2
	myconf="${myconf} --with-wx-config=${WX_CONFIG}"

	econf ${myconf} || die "econf failed"
	emake || die "emake failed"
}

src_install() {
	emake DESTDIR=${D} install || die "emake install failed"
	dodoc AUTHORS ChangeLog TODO
}
